package uk.ac.bbsrc.babraham.ChipMonk.Analysis.Statistics;

import uk.ac.bbsrc.babraham.ChipMonk.ChipMonkException;

public class PearsonCorrelation {

	public static float calculateCorrelation (double [] data1, double [] data2) throws ChipMonkException {
	
		if (data1.length != data2.length) {
			throw new ChipMonkException("Data sets must be the same length when calculating correlation");
		}
		
		double sum12 = 0;
		double sum1 = 0;
		double sum2 = 0;
		double sum1square = 0;
		double sum2square =0;
		
		for (int i=0;i<data1.length;i++) {
			sum12 += data1[i]*data2[i];
			sum1 += data1[i];
			sum2 += data2[i];
			sum1square += data1[i]*data1[i];
			sum2square += data2[i]*data2[i];
		}
		
		double top = sum12 - ((sum1*sum2)/data1.length);
		double bottomRight = sum2square - ((sum2*sum2)/data1.length);
		double bottomLeft = sum1square - ((sum1*sum1)/data1.length);
		double bottom = Math.sqrt(bottomLeft * bottomRight);
		
		
		return (float)(top/bottom);
	}
		
}
