/**
 * Copyright 2006-2007 Simon Andrews
 *
 *    This file is part of ChIPMonk.
 *
 *    ChIPMonk is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    ChIPMonk is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with ChIPMonk; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package uk.ac.bbsrc.babraham.ChipMonk.DataParsers;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.UIManager;

public class DataWarningDisplayDialog extends JDialog implements ActionListener{

	public DataWarningDisplayDialog (JDialog parent, Exception [] exceptions) {
		super(parent,"Data Loading Warnings...");

		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(new JLabel("There were "+exceptions.length+" warnings when loading you data",UIManager.getIcon("OptionPane.warningIcon"),JLabel.LEFT),BorderLayout.NORTH);

		StringBuffer b = new StringBuffer();
		for (int i=0;i<exceptions.length;i++) {
			b.append(exceptions[i].getMessage());
			b.append("\n");
		}
		JTextArea text = new JTextArea(b.toString());
		text.setEditable(false);
		getContentPane().add(new JScrollPane(text),BorderLayout.CENTER);
		
		JPanel closePanel = new JPanel();
		JButton closeButton = new JButton("Close");
		closeButton.addActionListener(this);
		closePanel.add(closeButton);
		getContentPane().add(closePanel,BorderLayout.SOUTH);
		
		setSize(600,300);
		setModal(true);
		setLocationRelativeTo(parent);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent e) {
		setVisible(false);
		dispose();
	}
	
}
